import { createRouter, createWebHistory } from "vue-router";
import { ChatRound } from '@element-plus/icons-vue'

const routes = [
  {
    path: "/",
    component: () => import("@/layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        name: "blank",
        meta: {
          hidden: true,
        },
        component: () => import("@/layouts/blank.vue"),
      },
    ],
    redirect: "/chat"
  },
  {
    path: "/chat",
    component: () => import("@/layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        name: "chat",
        meta: {
          icon: ChatRound
        },
        component: () => import("@/views/chat/index.vue"),
      },
    ],
  },
];

export const router = createRouter({
  history: createWebHistory(),
  routes,
});